package jshow.detail;

import java.awt.BorderLayout;
import java.awt.Color;
import java.awt.Dimension;
import java.awt.Image;

import javax.swing.ImageIcon;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.border.LineBorder;

public class ImagePanel extends JPanel {
	private JLabel label = null;

	public ImagePanel(Image image) {
		super();
		setLayout(new BorderLayout());
		setBackground(Color.WHITE);
		setPreferredSize(new Dimension(image.getWidth(null), image
				.getHeight(null)));
		label = new JLabel(new ImageIcon(image));
		label.setBackground(Color.WHITE);
		add(label, BorderLayout.CENTER);
		setBorder(new LineBorder(Color.BLACK));
	}
}
